> ## Documentation Index
> Fetch the complete documentation index at: https://rendi.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Files in Bulk

> Delete multiple stored files in a single request



## OpenAPI

````yaml POST /v1/files/bulk-delete
openapi: 3.1.0
info:
  title: FFmpeg Command API
  description: API for running FFmpeg in a cloud environment
  version: 1.0.0
servers:
  - url: https://api.rendi.dev
    description: Rendi - FFmpeg API
security: []
paths:
  /v1/files/bulk-delete:
    post:
      tags:
        - API
        - File Management
      summary: Bulk Delete Stored Files
      description: Delete multiple stored files in a single request
      operationId: bulk_delete_stored_files_v1_files_bulk_delete_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkDeleteFilesRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkDeleteFilesResponse'
        '400':
          description: Cannot delete output manifest files via this endpoint
        '401':
          description: Invalid API key
          content:
            application/json:
              example:
                detail: Invalid authorization key
        '404':
          description: One or more files not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    BulkDeleteFilesRequest:
      properties:
        file_ids:
          items:
            type: string
          type: array
          maxItems: 1000
          minItems: 1
          title: File Ids
          description: List of file UUIDs to delete
          examples:
            - - 987fcdeb-a89b-43d3-b456-789012345678
              - 123e4567-e89b-12d3-a456-426614174000
      type: object
      required:
        - file_ids
      title: BulkDeleteFilesRequest
    BulkDeleteFilesResponse:
      properties:
        deleted_file_ids:
          items:
            type: string
          type: array
          title: Deleted File Ids
          description: List of file UUIDs that were successfully deleted
          examples:
            - - 987fcdeb-a89b-43d3-b456-789012345678
              - 123e4567-e89b-12d3-a456-426614174000
      type: object
      required:
        - deleted_file_ids
      title: BulkDeleteFilesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````